# Uses of Enum
org.eclipse.microprofile.openapi.models.parameters.Parameter.Style

Packages that use Parameter.Style
Package
Description
org.eclipse.microprofile.openapi.models.parameters
A set of model interfaces to describe operation parameters and operation's request body.

## Uses of Parameter.Style in org.eclipse.microprofile.openapi.models.parameters

Methods in org.eclipse.microprofile.openapi.models.parameters that return Parameter.Style
Modifier and Type
Method
Description
`Parameter.Style`
Parameter.`getStyle()`
Returns the style property from a Parameter instance.
`static Parameter.Style`
Parameter.Style.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Parameter.Style[]`
Parameter.Style.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.eclipse.microprofile.openapi.models.parameters with parameters of type Parameter.Style
Modifier and Type
Method
Description
`void`
Parameter.`setStyle(Parameter.Style style)`
Sets the style property of a Parameter instance to the given value.
`default Parameter`
Parameter.`style(Parameter.Style style)`
Sets the style property of a Parameter instance to the given value.